Get Hosted Climate Impact Page Configuration
curl --request GET \
--url https://api.cnaught.com/v1/impact/hosted-page-config \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cnaught.com/v1/impact/hosted-page-config"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cnaught.com/v1/impact/hosted-page-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"enabled": true,
"enabled_equivalents": [
"homes",
"flights"
],
"url": "https://impact.cnaught.com/cnaughtreserve"
}{
"title": "Authorization has been denied for this request",
"status": 401
}Climate Impact
Get Hosted Climate Impact Page Configuration
Returns information about the hosted public climate impact page configuration for the account (or a subaccount)
GET
/
impact
/
hosted-page-config
Get Hosted Climate Impact Page Configuration
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
If present, will return configuration for the hosted impact subaccount.
Response
Impact Hosted Page Configuration
Whether the hosted impact page is enabled for the account or subaccount
URL of the hosted impact page for the account or subaccount
Example:
"https://impact.cnaught.com/cnaughtreserve"
The list of equivalent stats that are shown on the hosted impact page. Possible values are homes, flights, cars, trees
Example:
["homes", "trees"]